MPs not supported for SCOM 2019?

David Kim 61 Reputation points
2021-03-19T22:32:07.03+00:00

Can I use MP's which do not state SCOM 2019 such as SCOM 2012 or SCOM 2016. Any experience with these older MPs working in SCOM 2019? Many of the older SQL MP to include MP which support SQL 2016 state that it is supported by SCOM 2012 with no mention of SCOM 2019?

https://social.technet.microsoft.com/wiki/contents/articles/52876.scom-2019-management-packs.aspx
The above states only the above MP's support scom 2019. I am wanting to know if I should only use the 2019 SCOM supported MPs? We are moving from SCOM 2012 to SCOM 2019. There are a few unsealed MPs and am wondering if they are compatible with SCOM 2019?

Operations Manager
Operations Manager
A family of System Center products that provide infrastructure monitoring, help ensure the predictable performance and availability of vital applications, and offer comprehensive monitoring for datacenters and cloud, both private and public.
1,205 questions
No comments
{count} votes

2 answers

Sort by: Most helpful
  1. CyrAz 5,166 Reputation points
    2021-03-20T08:42:50.51+00:00

    Most (if not all) MPs should work without trouble

    No comments

  2. AlexZhu-MSFT 3,616 Reputation points Microsoft Employee
    2021-03-22T08:55:15.507+00:00

    Hi,

    For MP, the ID is unique in the environment. Mostly, when the MPs are upgraded, the ID will not change, that is, we can use SCOM2019 MPs and the unsealed MPs (exported from SCOM2012R2).

    80161-scom-mp-03.png

    Regards,

    Alex
    If the response is helpful, please click "Accept Answer" and upvote it.

    No comments